| Uwierzytelnianie | wymagane |
| Format odpowiedzi | json |
| Metoda HTTP | DELETE |
Usuwanie rekordu z kampanii.
Dla zduplikowanych numerów zostaną usunięte wszystkie znalezione rekordy.
Rekord, który jest w trakcie rozmowy nie zostanie usunięty.
https://your-system-name.thulium.com/api/outbounds/:id/records/:phone_number
|
id
wymagany |
Pięcioznakowy identyfikator kampanii.
Przykładowa wartość: 00001
|
|
phone_number
wymagany |
Numer telefonu który zostanie usunięty z kampanii.
Przykładowa wartość: 333444555
|
|
search_in_additional_numbers
opcjonalny |
Flaga odpowiedzialna za wyszukiwanie w numerach dodatkowych.
Przykładowa wartość: true
|
| DELETE | https://your-system-name.thulium.com/api/outbounds/00001/records/333444555 |
<!-- pusty -->
<?php $data = ''; $request = curl_init('https://your-system-name.thulium.com/api/outbounds/00001/records/333444555'); curl_setopt($request, CURLOPT_HTTPHEADER, array( 'Content-Type: application/json; charset=utf-8', 'Content-Length: ' . mb_strlen($data) )); curl_setopt($request, CURLOPT_USERPWD, 'api_user:api_pass'); curl_setopt($request, CURLOPT_TIMEOUT, 30); curl_setopt($request, CURLOPT_RETURNTRANSFER, true); curl_setopt($request, CURLOPT_CUSTOMREQUEST, 'DELETE'); curl_setopt($request, CURLOPT_POSTFIELDS, $data); $response = curl_exec($request); if ($response) { $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE); if ($httpCode == 200){ print_r(json_decode($response)); } else { echo $response; } } else { trigger_error(curl_error($request), E_USER_WARNING); } curl_close($request);
public class Example { public static void main(String[] args) throws Exception { ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true); ThuliumRestClient.ThuliumRestResponse response = restClient.delete("https://your-system-name.thulium.com/api/outbounds/00001/records/333444555"); System.out.println(response); } }
curl -u api_user:api_pass -k -X DELETE -H "Accept: application/json" "https://your-system-name.thulium.com/api/outbounds/00001/records/333444555"
http -a api_user:api_pass DELETE https://your-system-name.thulium.com/api/outbounds/00001/records/333444555 Accept:application/json